DataBolsa docs
Referência da APIDados de mercadoAções

Histórico de um indicador (trimestral)

Série trimestral do indicador. Segue a MESMA política do snapshot (/stocks/{ticker}/indicators): indicadores que não se aplicam a instituições financeiras (margem_bruta, margem_ebit, margem_liquida, psr, p_ebit, p_fcf, ev_ebit, ev_ebitda, ebit_ativos, giro_ativos) vêm com os pontos em null e o motivo em `reason`, em vez de expor a série completa.

GET
/v1/stocks/{ticker}/indicators/history
AuthorizationBearer <token>

In: header

Path Parameters

tickerstring
Match^[A-Z][A-Z0-9]{3}[0-9]{0,2}$

Query Parameters

namestring

Indicador único para a série histórica (ex.: 'pl', 'roe', 'dy'). Mesmos nomes do snapshot.

Length1 <= length
from?string
Match^\d{4}-\d{2}-\d{2}$
to?string
Match^\d{4}-\d{2}-\d{2}$

Response Body

curl -X GET "https://api.databolsa.com/v1/stocks/string/indicators/history?name=string&from=string&to=string"
{
  "data": [
    {
      "date": "string",
      "value": 0
    }
  ],
  "meta": {
    "next_cursor": "string",
    "count": 0,
    "total": 0,
    "subject": {
      "property1": "string",
      "property2": "string"
    },
    "order": "asc",
    "ticker": "string",
    "name": "string",
    "label": "string",
    "unit": "ratio",
    "reason": "string"
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "details": {
    "property1": null,
    "property2": null
  }
}